package com.njcn.pojo.data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 
 * 监测点的地理信息
 * */
@Table(name="Line_Maps")
public class LineMaps {
	@Id
	//监测点ID
	@Column(name="LINE_INDEX")
	private Integer lineindex;
	
	//监测点名称
	@Column(name="LINE_NAME")
	private String linename;
	
	//PT1变比
	@Column(name="PT1")
	private Integer pt1;
	
	//PT2变比
	@Column(name="PT2")
	private Integer pt2;
	
	//CT1变比
	@Column(name="CT1")
	private Integer ct1;
	
	//CT2变比
	@Column(name="CT2")
	private Integer ct2;
	
	//供电公司名称
	@Column(name="GD_NAME")
	private String gdname;

	//变电站名称
	@Column(name="SUB_NAME")
	private String subname;
	
	//母线名称
	@Column(name="SUBV_NAME")
	private String subvname;
	
	//终端状态（0：正常；1：中断；2：退运）
	@Column(name="DEVFLAG")
	private Integer devflag;
	
	//终端通讯状态（0：正常；1：中断）
	@Column(name="STATUS")
	private Integer status;
	
	//IP
	@Column(name="IP")
	private String ip;
	
	//生产厂家
	@Column(name="MANUFACTURER")
	private String manufacturer;
	
	//纬度
	@Column(name="LONGITUDE")
	private Float longitude;
	
	//经度
	@Column(name="LATITUDE")
	private Float latitude;
	
	//未处理事件汇总
	@Column(name="TOTALCOUNT")
	private Integer totalcount;
	

	public Integer getTotalcount() {
		return totalcount;
	}

	public void setTotalcount(Integer totalcount) {
		this.totalcount = totalcount;
	}
	

	public Integer getLineindex() {
		return lineindex;
	}




	public String getLinename() {
		return linename;
	}




	public Integer getPt1() {
		return pt1;
	}

	public Integer getPt2() {
		return pt2;
	}



	public Integer getCt1() {
		return ct1;
	}

	public Integer getCt2() {
		return ct2;
	}



	public String getGdname() {
		return gdname;
	}




	public String getSubname() {
		return subname;
	}




	public String getSubvname() {
		return subvname;
	}




	public Integer getDevflag() {
		return devflag;
	}




	public Integer getStatus() {
		return status;
	}




	public String getIp() {
		return ip;
	}




	public String getManufacturer() {
		return manufacturer;
	}




	public Float getLongitude() {
		return longitude;
	}




	public Float getLatitude() {
		return latitude;
	}




	public void setLineindex(Integer lineindex) {
		this.lineindex = lineindex;
	}




	public void setLinename(String linename) {
		this.linename = linename;
	}




	public void setPt1(Integer pt1) {
		this.pt1 = pt1;
	}

	public void setPt2(Integer pt2) {
		this.pt2 = pt2;
	}


	public void setCt1(Integer ct1) {
		this.ct1 = ct1;
	}

	public void setCt2(Integer ct2) {
		this.ct2 = ct2;
	}


	public void setGdname(String gdname) {
		this.gdname = gdname;
	}




	public void setSubname(String subname) {
		this.subname = subname;
	}




	public void setSubvname(String subvname) {
		this.subvname = subvname;
	}




	public void setDevflag(Integer devflag) {
		this.devflag = devflag;
	}




	public void setStatus(Integer status) {
		this.status = status;
	}




	public void setIp(String ip) {
		this.ip = ip;
	}




	public void setManufacturer(String manufacturer) {
		this.manufacturer = manufacturer;
	}




	public void setLongitude(Float longitude) {
		this.longitude = longitude;
	}




	public void setLatitude(Float latitude) {
		this.latitude = latitude;
	}




	@Override
	public String toString() {
		return "LineMaps [lineindex=" + lineindex + ", linename=" + linename + ", pt1=" + pt1 + ", pt2=" + pt2 + ", ct1="+ ct1 + ", ct2="+ ct2 + ", gdname=" + gdname + ", subname=" + subname + ", subvname=" + subvname 
				+ ", devflag=" + devflag + ", status=" + status + ", ip=" + ip + ", manufacturer=" + manufacturer + ", longitude=" + longitude + ", latitude=" + latitude + ", totalcount=" + totalcount + "]";
	}
}
